
.main-footer {
    background-color: #1a1a1a;
    color: #ffffff;
    padding: 40px 0;
    width: 100%;
    font-family: 'Poppins', sans-serif;
}

.footer-flex {
    display: flex;
    justify-content: space-between; 
    align-items: center;
    max-width: 1400px; 
    margin: 0 auto;
    padding: 0 20px;

}
.footer-left-content {
    display: flex;
    align-items: center;
    gap: 30px; 
    text-align: left;
}
.footer-img {
    height: 120px;
    width: auto;
}

.footer-info {
    text-align: left;
    line-height: 1.6;
}

.footer-info p {
    font-size: 0.85rem;
}

.footer-phone {
    font-weight: 700; 
    font-size: 1rem !important;
    margin-bottom: 5px;
}

.footer-email, .footer-web {
    font-weight: 300; 
}

.footer-social {
    display: flex;
    gap: 20px;
    margin-right: 120px;
}

.social-link img {
    width: 60px; 
    height: auto;
    filter: brightness(0) invert(1); 
    transition: transform 0.3s ease;
}

.social-link img:hover {
    transform: scale(1.1);
}

@media (max-width: 768px) {
    .main-footer {
        padding: 15px 0 20px 0; 
    }

    .footer-flex {
        flex-direction: row; 
        flex-wrap: wrap; 
        gap: 8px; 
        padding: 0 22px 0 17px;
    }

    .footer-left-content {
        gap: 8px; 
    }

    .footer-img {
        height: 50px; 
    }

    .footer-info {
        border-left: 2px solid #ffffff; 
        padding-left: 8px;
        line-height: 1.2;
    }

    .footer-phone {
        font-size: 0.6rem !important; 
    }

    .footer-info .footer-email, 
    .footer-info .footer-web {
        font-size: 0.4rem; 
    }

    .footer-social {
        gap: 10px;
        align-items: center;
        margin: 0; 
    }

    .social-link img {
        width: 26px; 
    }
}